//-----------------------------------------------------------------------------
// Torque Game Builder
// Copyright (C) GarageGames.com, Inc.
// 
// behaviour written by Andy Hawkins 2011
//-----------------------------------------------------------------------------

if (!isObject(KeepTrackHealth))
{
   %template = new BehaviorTemplate(KeepTrackHealth);
   
   %template.friendlyName = "Keep Track Of Health";
   %template.behaviorType = "GUI";
   %template.description  = "Manages the health in-game.";
   
}

function KeepTrackHealth::onAddToScene(%this)
{
   %this.health = 100; 
   HealthText.setValue("Health: " @ %this.health);
   //%this.owner.enableUpdateCallback();

}

function KeepTrackHealth::onUpdate(%this)
{
   //%camPos = sceneWindow2D.getCurrentCameraPosition( );  
   //%x = getWord(%camPos, 0);
   //%y = getWord(%camPos, 1);
   
   //HealthText.setPosition( %x + 10, %y + 10);
}

function KeepTrackHealth::addToHealth(%this, %val)
{
   %this.health += %val;
   HealthText.setValue("Health: " @ %this.health);

}