//-----------------------------------------------------------------------------
// Torque Game Builder
// Copyright (C) GarageGames.com, Inc.
// 
// behaviour written by Andy Hawkins 2011
//-----------------------------------------------------------------------------

if (!isObject(KeepTrackScore))
{
   %template = new BehaviorTemplate(KeepTrackScore);
   
   %template.friendlyName = "Keep Track Of Score";
   %template.behaviorType = "GUI";
   %template.description  = "Manages the score in-game.";
   
}

function KeepTrackScore::onAddToScene(%this)
{
   %this.score = 0; 
   ScoreText.setValue("Score: " @ %this.score);
}

function KeepTrackScore::addToScore(%this, %val)
{
   %this.score += %val;
   ScoreText.setValue("Score: " @ %this.score);
}

