//-----------------------------------------------------------------------------
// Torque Game Builder
// Copyright (C) GarageGames.com, Inc.
// 
// behaviour written by Andy Hawkins 2011
//-----------------------------------------------------------------------------

if (!isObject(SetScore))
{
   %template = new BehaviorTemplate(SetScore);
   
   %template.friendlyName = "Sets a score.";
   %template.behaviorType = "Object";
   %template.description  = "Sets a score for the object.";
   %template.addBehaviorField(score, "Score Amount", float, 10);
}

function SetScore::getScore(%this)
{
   return %this.score;
}
