function AIClass::onLevelLoaded(%this, %scenegraph)
{
   %this.moveSpeed = 10;
   %this.enableUpdateCallback();
}

function AIClass::onUpdate(%this)
{
   if (isObject(Player))
      %this.startPath( %this.getPosition(), Player.getPosition());
}

function AIClass::startPath(%this, %start, %dest)
{
   // find our path
   %this.pathGrid = $pathGrid;
   %newPath = %this.findDestinationPath(%dest);
   if (isObject(%newPath))
   {
      %this.currentPath = %newPath;
      %this.followAStarPath(%newPath);
      activeActorsSet.add(%this);
   }
   else
   {
      %this.isFrustrated("noPath");
   }
}