//-----------------------------------------------------------------------------
// Torque Game Builder
// Copyright (C) GarageGames.com, Inc.
// 
// behaviour written by Andy Hawkins 2011
//-----------------------------------------------------------------------------

if (!isObject(KeepTrackFirePower))
{
   %template = new BehaviorTemplate(KeepTrackFirePower);
   
   %template.friendlyName = "Keep Track Of Firepower";
   %template.behaviorType = "GUI";
   %template.description  = "Manages the firepower in-game.";
   
}

function KeepTrackFirePower::onAddToScene(%this)
{
   %this.firepower = 0; 
   FireText.setValue("FirePower: " @ %this.firepower);
}

function KeepTrackFirePower::addToFirePower(%this, %val)
{
   %this.firepower += %val;
   FireText.setValue("FirePower: " @ %this.firepower);
}